Bug 999562 - RFE: Consider moving sudo configuration to sudoers.d
RFE: Consider moving sudo configuration to sudoers.d
Status: NEW
Product: Spacewalk
Classification: Community
Component: Installation (Show other bugs)
2.0
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomáš Kašpárek
Red Hat Satellite QA List
:
Depends On:
Blocks: spacewalk-rfe
  Show dependency treegraph
 
Reported: 2013-08-21 10:55 EDT by Stanislav Hanzhin
Modified: 2017-03-02 11:09 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stanislav Hanzhin 2013-08-21 10:55:54 EDT
Editing /etc/sudoers from setup script confuses me, as we're tracking configurations with puppet and we try to keep /etc/sudoers clean.

Please, consider moving sudoers configuration of spacewalk to /etc/sudoers.d/
Comment 1 Tomas Lestach 2013-08-23 05:23:42 EDT
Yes, this is a valid request.
Just note RHEL5 does not support /etc/sudoers.d/ configuration ...

# cat /etc/redhat-release 
Red Hat Enterprise Linux Server release 5.10 Beta (Tikanga)
# ll /etc/sudo* -d
-r--r----- 1 root root 4555 Aug 22 19:11 /etc/sudoers
Comment 2 Jan-Albert van Ree 2013-08-30 08:15:40 EDT
RHEL5 doesn't have it enabled, but with 1.7.2 (which is what RHEL5 currently uses) the '#include' directive is available. See http://www.sudo.ws/pipermail/sudo-announce/2009-July/000080.html

I'd like to see this RFE realised too.

Note You need to log in before you can comment on or make changes to this bug.